ntpsweep(1ntpsweepman)

NAME
*[B-Font]ntpsweep - Print various informations about given ntp servers

SYNOPSIS
*[B-Font]ntpsweep [*[B-Font]-flags] [*[B-Font]-flag [*[I-Font]value]] [*[B-Font]--option-name[[=| ]*[I-Font]value]] [hostfile]

DESCRIPTION
*[B-Font]ntpsweep prints per host the NTP stratum level, the clock offset in seconds, the daemon version, the operating system and the processor. Optionally recursing through all peers.

OPTIONS

Host to execute actions on.
    This option may appear an unlimited number of times.

                Use this option to specify the host on which this script operates.
                May appear multiple times.

Recursively list all peers a host synchronizes to.

    This option has not been fully documented.

Traverse peers up to this level (4 is a reasonable number).
    This option takes an integer number as its argument.

    This option has not been fully documented.

Strip this string from hostnames.

    This option has not been fully documented.

Specify a single host.

    This option has not been fully documented.

    NOTE: THIS OPTION IS DEPRECATED

Display usage information and exit.

Pass the extended usage information through a pager.

Output version of program and exit.  The default mode is `v', a simple
    version. The `c' mode will print copyright information and `n' will print the full copyright notice.

EXIT STATUS
One of the following exit values will be returned:

Successful program execution.

The operation failed or the command syntax was not valid.

libopts had an internal operational error.  Please report
    it to autogen-users@lists.sourceforge.net. Thank you.

NOTES
This manual page was AutoGen-erated from the ntpsweep option definitions.